EclaireXL - Bug #64

Pokey pdm timing incorrect
05/13/2018 10:04 PM - foft

Status: Closed Start date: 05/13/2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Description

See

http://atariage.com/forums/topic/244946-using-pulse-density-modulation-for-8-bit-pcm/page-3#entry4025673

So white on black is currently good, while black on white should be better. Seems related to the rise/fall times...

History

#1 - 05/29/2018 08:21 PM - foft

- Subject changed from Pokey rise/fall times not correct to Pokey pdm timing incorrect

Phaeron got a scope on it:
http://atariage.com/forums/topic/244946-using-pulse-density-modulation-for-8-bit-pcm/page-7#entry4036484

Looks to be high pass filter propagation delay related.

#2 - 05/29/2018 10:07 PM - foft

Tried a 1 cycle and a half cycle delay on the input to the xor. Neither are seeming quite right, but 1 cycle delay is closest...
#3 - 06/01/2018 08:24 AM - foft
Been checking on the scope. The one cycle delay looks correct.

Some jitter issues due to when | activate pokey. | was doing so on the memory access completion, but this really varies too much when accessing
SDRAM and block RAM. So I've changed it to activate on the final cycle, as with antic.

#4 - 06/01/2018 10:46 AM - admin

- Status changed from New to Closed

Seems to run fine, Acid now passes again as far as | can tell.

#5 - 06/05/2018 09:09 PM - foft

- Status changed from Closed to In Progress

Reopening, inconsistent timing in calibrate

#6 - 06/05/2018 09:58 PM - foft

Problem with stimer??

#7 - 06/05/2018 10:07 PM - foft
Aha, got it...

#8 - 06/07/2018 06:47 AM - foft
The issue was that the write to stimer was now exactly on the enable cycle. | modified the latch delay line to support this. Fundamentally though, this

isn’'t meant to happen, so perhaps an issue with the pbi implementation is causing the writes to be on an unexpected cycle??

#9 - 06/07/2018 06:48 AM - foft

Anyway v23 sounds nice for pdm, reliably.

#10 - 08/01/2018 10:01 PM - foft
- Status changed from In Progress to Closed

Found the issue when doing the pokeymax work - I'd lost some changes by accident.
